| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyTreatmentData Class Reference
Intercept and Treatment

Modify Treatment data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
TreatmentId | TreatmentInfo
| Treatement Id. More...
xsd__int | Cycle
| The number of times that the intercept treatment sequence is applied. More...
xsd__int | Interval
| The time that silence between cycles shall last. More...
ToneInfo | Tone
| Tone data . More...
ModifyAnnounceInfo | Announce
| Announcement data . More...
xsd__int | SipReasonId
| An optional SIP reason header that may be provided if TreatmentType is TreatmentTypeRelCall. More...
ServiceInfo | Service
| Service data . More...

## Detailed Description

Modify Treatment data.

Used by unsp__modifyTreatment()

## Member Data Documentation

## ◆ Announce

ModifyAnnounceInfo unsp__ModifyTreatmentData::Announce

Announcement data .

required: false

## ◆ Cycle

xsd__int unsp__ModifyTreatmentData::Cycle

The number of times that the intercept treatment sequence is applied.

This value is the same for all treatments assigned to the same intercept.
required: true
default value[range]: 0

## ◆ Interval

xsd__int unsp__ModifyTreatmentData::Interval

The time that silence between cycles shall last.

This value is the same for all treatments assigned to the same intercept.
required: false
default value[range]: 0

## ◆ OperatorId

xsd__string unsp__ModifyTreatmentData::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Service

ServiceInfo unsp__ModifyTreatmentData::Service

Service data .

required: false

## ◆ SipReasonId

xsd__int unsp__ModifyTreatmentData::SipReasonId

An optional SIP reason header that may be provided if TreatmentType is TreatmentTypeRelCall.

required: false
default value[range]: 0

## ◆ Tone

ToneInfo unsp__ModifyTreatmentData::Tone

Tone data .

required: false

## ◆ TreatmentInfo

TreatmentId unsp__ModifyTreatmentData::TreatmentInfo

Treatement Id.

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h